/*
 * $Id: SoapConstants.java 4355 2006-12-20 20:50:01Z rossmason $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSource, Inc.  All rights reserved.  http://www.mulesource.com
 *
 * The software in this package is published under the terms of the MuleSource MPL
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.providers.soap;

/**
 * Common SOAP constants
 */
public interface SoapConstants
{
    public static final String WSDL_PROPERTY = "wsdl";
    public static final String LIST_PROPERTY = "list";
    public static final String SOAP_ENDPOINT_PREFIX = "soap:";
    public static final String METHOD_NAMESPACE_PROPERTY = "methodNamespace";
    public static final String SOAP_ACTION_PROPERTY = "soapAction";
    public static final String WSDL_URL_PROPERTY = "WSDL_URL";
    public static final String SOAP_NAMESPACE_PROPERTY = "SOAP_NAMESPACE_PROPERTY";
}
